Get vehicle details
curl --request GET \
--url https://api.app.hrizn.io/v1/public/inventory/{vin} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.app.hrizn.io/v1/public/inventory/{vin}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/inventory/{vin}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.app.hrizn.io/v1/public/inventory/{vin}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/inventory/{vin}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"vin": "1C4HJXEG5NW195712",
"year": 2022,
"make": "Jeep",
"model": "Wrangler Unlimited",
"trim": "Sahara 4x4",
"vehicle_type": "Used",
"price": 27759,
"mileage": 45225,
"exterior_color": "Bright White Clearcoat",
"interior_color": "Black",
"engine": "Pentastar 3.6L V-6 DOHC, variable valve control, regular unleaded, engine with 285HP",
"transmission": "Automatic",
"drivetrain": "Four Wheel Drive",
"fuel_type": "Regular unleaded",
"body_style": "Sport Utility",
"stock_number": "U17968I",
"image_url": "https://cdnrs.inventoryrsc.com/640x480/490008540_697aded63b109513bccc1573.jpg",
"images": [
"https://cdnrs.inventoryrsc.com/640x480/490008540_697aded63b109513bccc1573.jpg",
"https://cdnrs.inventoryrsc.com/640x480/490008540_697aded73b109513bccc1574.jpg"
],
"ai_description": null,
"description_status": "complete",
"created_at": "2026-01-29T00:06:11.249565+00:00",
"updated_at": "2026-02-28T09:02:26.966306+00:00"
}
}
Get vehicle
Get full details for a specific vehicle
GET
/
inventory
/
{vin}
Get vehicle details
Returns complete vehicle details including specs, pricing, photos, and AI description status.
Scope required:
inventory:read
Path parameters
Vehicle Identification Number (11-17 characters).
{
"data": {
"vin": "1C4HJXEG5NW195712",
"year": 2022,
"make": "Jeep",
"model": "Wrangler Unlimited",
"trim": "Sahara 4x4",
"vehicle_type": "Used",
"price": 27759,
"mileage": 45225,
"exterior_color": "Bright White Clearcoat",
"interior_color": "Black",
"engine": "Pentastar 3.6L V-6 DOHC, variable valve control, regular unleaded, engine with 285HP",
"transmission": "Automatic",
"drivetrain": "Four Wheel Drive",
"fuel_type": "Regular unleaded",
"body_style": "Sport Utility",
"stock_number": "U17968I",
"image_url": "https://cdnrs.inventoryrsc.com/640x480/490008540_697aded63b109513bccc1573.jpg",
"images": [
"https://cdnrs.inventoryrsc.com/640x480/490008540_697aded63b109513bccc1573.jpg",
"https://cdnrs.inventoryrsc.com/640x480/490008540_697aded73b109513bccc1574.jpg"
],
"ai_description": null,
"description_status": "complete",
"created_at": "2026-01-29T00:06:11.249565+00:00",
"updated_at": "2026-02-28T09:02:26.966306+00:00"
}
}
Authorizations
Your Hrizn API key (prefix hzk_)
Path Parameters
Vehicle Identification Number
Required string length:
11 - 17Response
Vehicle details
Hide child attributes
Hide child attributes
Vehicle condition (new or used)
Primary photo URL
All photo URLs
Last modified on February 28, 2026
⌘I
